Name: alsa-oss
Version: 0.9.8
Release: alt1

Summary: Advanced Linux Sound Architecture (ALSA) OSS compatibility library
License: GPL
Group: System/Libraries

Url: http://www.alsa-project.org
Source: ftp://ftp.alsa-project.org/pub/lib/%name-%version.tar.bz2

# Automatically added by buildreq on Wed Oct 22 2003
BuildRequires: libalsa-devel mawk

Obsoletes: lib%name <= 0.9.8

%description
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features. This package
contains a OSS compatibility library.

%prep
%setup -q

%build
%configure
%make_build
# fix the script
%__cat > aoss << __EOF__
#!/bin/sh
LD_PRELOAD=%_libdir/libaoss.so.0 exec "\$@"
__EOF__

%install
%__mkdir_p %buildroot{%_bindir,%_libdir}
%makeinstall

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_bindir/*
%_libdir/*.so.*

%changelog
* Sun Nov 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- renamed to alsa-oss as the library is only used for preloading
- dropped devel subpackages due to the very same issue
- aoss script was missing (and broken anyway); thanks to Sergey Vlasov (vsu@)
  for pointing out and providing proper version (#3308)

* Wed Oct 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Thu Jul 31 2003 Michael Shigorin <mike@altlinux.ru> 0.9.6-alt1
- 0.9.6
- forgot this part.  Getting back :)

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt2
- Rebuilt in new environment

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta11-alt1
- 0.9.0beta11

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10-alt1a
- 0.9.0beta10a

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8-alt1
- 0.9.0beta8

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
